Zlib

From LinuxReviews
Jump to: navigation, search

Zlib is the standard (de)compression library. Many programs rely on it.

[edit] Typical errors

If your distribution did not install zlib for you during installation (CentOS, etc) then you may likely run into compile errors such as:

pp
g++ -o tracker_users.o -pthread -O2 -w -I.  -c tracker_users.cpp
g++ -o util.o -pthread -O2 -w -I.  -c util.cpp
g++ -o ./bnbt util.o -pthread -Lzlib/ -lz
/usr/bin/ld: cannot find -lz
collect2: ld returned 1 exit status
make: *** [bnbt] Error 1

The solution is to install zlib.

 yum install zlib-devel
Personal tools
hardware tests
Categories
Privacy policy
linux events
ipv6
Networking
IPv6

Search:

linux newz | random page | poetry | free blog